## python-os-net-config 0.1.0

=== requirements.txt ===
pbr>=0.6,!=0.7,<1.0
anyjson>=0.3.3
Babel>=0.9.6
six>=1.6.0
eventlet>=0.13.0
iso8601>=0.1.9
netaddr>=0.7.6
oslo.config>=1.2.0
PyYAML>=3.1.0
