=== debian/control ===
Source: python-os-net-config
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-pbr,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr,
               python3-setuptools
Build-Depends-Indep: python-anyjson (>= 0.3.3),
                     python-babel (>= 1.3),
                     python-coverage (>= 3.6),
                     python-eventlet (>= 0.13.0),
                     python-fixtures (>= 0.3.14),
                     python-iso8601 (>= 0.1.9),
                     python-mock (>= 1.0),
                     python-mox (>= 0.5.3),
                     python-netaddr,
                     python-oslo.config,
                     python-oslosphinx,
                     python-six (>= 1.6.0),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 0.9.32),
                     python-yaml,
                     subunit,
                     testrepository (>= 0.0.17)
X-Python-Version: >= 2.7
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-os-net-config.git
Vcs-Git: git://anonscm.debian.org/openstack/python-os-net-config.git
Homepage: http://git.openstack.org/cgit/openstack/os-net-config

Package: python-os-net-config
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-anyjson (>= 0.3.3),
         python-babel (>= 1.3),
         python-eventlet (>= 0.13.0),
         python-iso8601 (>= 0.1.9),
         python-netaddr,
         python-oslo.config,
         python-pbr,
         python-six (>= 1.6.0),
         python-yaml,
         ${misc:Depends},
         ${python:Depends}
Suggests: python-os-net-config-doc
Description: OpenStack network configuration - Python 2.x
 The core aim of this project is to allow fine grained (but extendable)
 configuration of the networking parameters for a network host. The project
 consists of:
  * A CLI (os-net-config) which provides configuration via a YAML or JSON file
    formats. By default os-net-config uses a YAML config file located at
    /etc/os-net-config/config.yaml. This can be customized via the
    --config-file CLI option.
  * A Python library which provides configuration via an object model.
 .
 This package contains the Python 2.x module.

Package: python-os-net-config-doc
Section: doc
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: OpenStack network configuration - doc
 The core aim of this project is to allow fine grained (but extendable)
 configuration of the networking parameters for a network host. The project
 consists of:
  * A CLI (os-net-config) which provides configuration via a YAML or JSON file
    formats. By default os-net-config uses a YAML config file located at
    /etc/os-net-config/config.yaml. This can be customized via the
    --config-file CLI option.
  * A Python library which provides configuration via an object model.
 .
 This package contains the documentation.
