=== debian/watch ===
version=3
http://pypi.python.org/packages/source/o/os-net-config os-net-config-(.*).tar.gz
